Open CASCADE Technology: IGESAppli_ToolPWBDrilledHole Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESAppli_ToolPWBDrilledHole Class Reference

Tool to work on a PWBDrilledHole. Called by various Modules (ReadWriteModule, GeneralModule, SpecificModule) More...

`#include <IGESAppli_ToolPWBDrilledHole.hxx>`

## Public Member Functions
| IGESAppli_ToolPWBDrilledHole ()
| Returns a ToolPWBDrilledHole, ready to work. More...
void | ReadOwnParams (const Handle< IGESAppli_PWBDrilledHole > &ent, const Handle< IGESData_IGESReaderData > &IR, IGESData_ParamReader &PR) const
| Reads own parameters from file. <PR> gives access to them, <IR> detains parameter types and values. More...
void | WriteOwnParams (const Handle< IGESAppli_PWBDrilledHole > &ent, IGESData_IGESWriter &IW) const
| Writes own parameters to IGESWriter. More...
void | OwnShared (const Handle< IGESAppli_PWBDrilledHole > &ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a PWBDrilledHole <ent>, from its specific (own) parameters. More...
Standard_Boolean | OwnCorrect (const Handle< IGESAppli_PWBDrilledHole > &ent) const
| Sets automatic unambiguous Correction on a PWBDrilledHole (NbPropertyValues forced to 3) More...
IGESData_DirChecker | DirChecker (const Handle< IGESAppli_PWBDrilledHole > &ent) const
| Returns specific DirChecker. More...
void | OwnCheck (const Handle< IGESAppli_PWBDrilledHole > &ent, const Interface_ShareTool &shares, Handle< Interface_Check > &ach) const
| Performs Specific Semantic Check. More...
void | OwnCopy (const Handle< IGESAppli_PWBDrilledHole > &entfrom, const Handle< IGESAppli_PWBDrilledHole > &entto, Interface_CopyTool &TC) const
| Copies Specific Parameters. More...
void | OwnDump (const Handle< IGESAppli_PWBDrilledHole > &ent, const IGESData_IGESDumper &dumper, const Handle< Message_Messenger > &S, const Standard_Integer own) const
| Dump of Specific Parameters. More...

## Detailed Description

Tool to work on a PWBDrilledHole. Called by various Modules (ReadWriteModule, GeneralModule, SpecificModule)

## Constructor & Destructor Documentation

IGESAppli_ToolPWBDrilledHole::IGESAppli_ToolPWBDrilledHole | ( |  | ) |

Returns a ToolPWBDrilledHole, ready to work.

## Member Function Documentation

IGESData_DirChecker IGESAppli_ToolPWBDrilledHole::DirChecker | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent | ) | const

Returns specific DirChecker.

void IGESAppli_ToolPWBDrilledHole::OwnCheck | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle< Interface_Check > & | ach
| ) |  | const

Performs Specific Semantic Check.

void IGESAppli_ToolPWBDrilledHole::OwnCopy | ( | const Handle< IGESAppli_PWBDrilledHole > & | entfrom,
|  | const Handle< IGESAppli_PWBDrilledHole > & | entto,
|  | Interface_CopyTool & | TC
| ) |  | const

Copies Specific Parameters.

Standard_Boolean IGESAppli_ToolPWBDrilledHole::OwnCorrect | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent | ) | const

Sets automatic unambiguous Correction on a PWBDrilledHole (NbPropertyValues forced to 3)

void IGESAppli_ToolPWBDrilledHole::OwnDump | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle< Message_Messenger > & | S,
|  | const Standard_Integer | own
| ) |  | const

Dump of Specific Parameters.

void IGESAppli_ToolPWBDrilledHole::OwnShared | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

Lists the Entities shared by a PWBDrilledHole <ent>, from its specific (own) parameters.

void IGESAppli_ToolPWBDrilledHole::ReadOwnParams | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent,
|  | const Handle< IGESData_IGESReaderData > & | IR,
|  | IGESData_ParamReader & | PR
| ) |  | const

Reads own parameters from file. <PR> gives access to them, <IR> detains parameter types and values.

void IGESAppli_ToolPWBDrilledHole::WriteOwnParams | ( | const Handle< IGESAppli_PWBDrilledHole > & | ent,
|  | IGESData_IGESWriter & | IW
| ) |  | const

Writes own parameters to IGESWriter.

The documentation for this class was generated from the following file:

- IGESAppli_ToolPWBDrilledHole.hxx